﻿using System;

namespace SimpleSpreadsheet.Core.Exceptions
{
    /// <summary>
    /// Exception for expression parsing error
    /// </summary>
    public class ParseException : ApplicationException
    {
        public ParseException(string message)
            : base(message)
        {
        }

        public ParseException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}