namespace SimpleSpreadsheet.Core.Expressions
{
    /// <summary>
    /// Represents a cell reference
    /// </summary>
    public class ReferenceExpression : BaseExpression
    {
        public ReferenceExpression(string name)
        {
            Name = name;
        }

        public string Name { get; set; }

        public override void Accept(ExpressionVisitor visitor)
        {
            visitor.Visit(this);
        }
    }
}