﻿using System.Collections.Generic;
using SimpleSpreadsheet.Core.Expressions;

namespace SimpleSpreadsheet.Core
{
    /// <summary>
    /// Interface to be implemented by custom functions
    /// </summary>
    public interface IFunction
    {
        string Name { get; }
        decimal Evaluate(IList<BaseExpression> arguments, ExpressionVisitor expressionVisitor);
    }
}