﻿using System;

namespace SimpleSpreadsheet.Exceptions
{
    /// <summary>
    /// Exception for document load error
    /// </summary>
    public class DocumentLoadException : Exception
    {
        public DocumentLoadException()
        {
        }

        public DocumentLoadException(string message) : base(message)
        {
        }

        public DocumentLoadException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}