﻿using System;

namespace SimpleSpreadsheet.Core.Exceptions
{
    /// <summary>
    /// Exception for expression evaluation error
    /// </summary>
    public class EvaluationException : ApplicationException
    {
        public EvaluationException(string message)
            : base(message)
        {
        }

        public EvaluationException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}