﻿namespace SimpleSpreadsheet.Core.Expressions
{
    /// <summary>
    /// Represents custom parameters for functions using not only cell references, but also internal expressions (i.e. REDUCE)
    /// </summary>
    public class ParameterExpression : BaseExpression
    {
        public ParameterExpression(string name)
        {
            Name = name;
        }

        public string Name { get; set; }

        public override void Accept(ExpressionVisitor visitor)
        {
            visitor.Visit(this);
        }
    }
}