﻿using Antlr.Runtime;
using Antlr.Runtime.Tree;

namespace SimpleSpreadsheet.Core.Parser
{
    /// <summary>
    /// Represents the return from 'expression' method from parser
    /// </summary>
    public class expression_return : ParserRuleReturnScope<IToken>, IAstRuleReturnScope<CommonTree>
    {
        #region IAstRuleReturnScope<CommonTree> Members

        public CommonTree Tree { get; set; }

        object IAstRuleReturnScope.Tree
        {
            get { return Tree; }
        }

        #endregion
    }
}