﻿namespace SimpleSpreadsheet.Model
{
    /// <summary>
    /// Represents a workbook which holds a worksheet
    /// (in future versions support of several worksheets can easily be added)
    /// </summary>
    public class Workbook
    {
        public Workbook()
        {
            Worksheet = new Worksheet(ColumnsNumber, RowsNumber);
        }

        public Worksheet Worksheet { get; set; }

        public int RowsNumber { get; set; }
        public int ColumnsNumber { get; set; }
    }
}